メインコンテンツまでスキップ

List Projects (V2)

List all projects scoped to API-Key.

GET/v2/projects
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/projects" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Content-Type: application/json"
Responses200 - application/json
codenumber

Response code.

dataarray

Response payload, which is a list of projects in detail.

[]dataobject

List of projects in detail.

projectIdstring

ID of a project.

regionIdsarray

Region IDs of a project.

[]regionIdsstring

A region ID. You can use the List regions to list applicable region IDs.

projectNamestring

Name of a project.

instanceCountstring

Number of clusters in the projects.

createTimestring

Time at which the project is created.

planstring

The subscription plan of the current project. Possible values are Standard, Enterprise, or BusinessCritical.

orgTypestring

The type of the organization. Possible values are SAAS or BYOC.

A failure response.

codeinteger

Response code.

messagestring

Error message.

{
"code": 0,
"data": [
{
"projectName": "Default Project",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxxx",
"regionIds": [
"aws-us-east-1"
],
"instanceCount": 2,
"createTime": "2023-08-16T07:34:06Z",
"plan": "Enterprise",
"orgType": "SAAS"
}
]
}